<?php
//======================================================================================
// jQuery fundamentals  part 3
//======================================================================================
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-loose.dtd value="
<html>
<head>

<title>jQuery fundamentals - part 3</title>

<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
  
	
	<!-- Get the jQuery library -->
	<script type="text/javascript" src="javascript/jquery.min.js"></script>
	
<style>
.hidden {
	display: none;
}
</style>
  
<script language="JavaScript" type="text/javascript"> 
//======================================================================================
// Get data
//======================================================================================
function getData( ) {

	// Hide and set default
	$('#data').html('Working')
	$('#showdata').hide('fast')


	$.ajax({
		type: "GET",
		url: 'ex2-return-data.php',
		dataType: 'html',
		cache: false,			
		success: function( dataStream ) {


			// Show data
			$('#showdata').show('fast',function() {
				$('#data').html(dataStream)
			});			

		},
			error:function (xhr, ajaxOptions, thrownError){		
			
			// Error handling goes here...

		}
		
	});
	
}

//======================================================================================
// Get data with call back
//======================================================================================
function getDataWithCallBack( ) {

	// Hide and set default
	$('#data').html('Working')
	$('#showdata').hide('fast')


	$.ajax({
		type: "GET",
		url: 'ex2-return-data.php',
		dataType: 'html',
		cache: false,			
		success: function( dataStream ) {


		
			// Write data to div
			$('#data').html( dataStream );
			
			// Show data
			$('#showdata').show('fast',function() {
				showData();
			});			
		

		},
			error:function (xhr, ajaxOptions, thrownError){		
			
			// Error handling goes here...

		},
		
			complete:function ( dataStream ){		
		
			// // When done - this call back could also be used
			// $('#showdata').show('fast',function() {
				// $('#data').html(dataStream)
			// });			
			
		}		
			
	});
	
}
//======================================================================================
// Get data
//======================================================================================
function showData( ) {

	var number = $('#epoch').val()
	var minutes = parseInt( number / 60 );
	$('#data1').text( 'Minutes since Epoch: ' + minutes );

}
//=====================================================================================
// Page loaded
//=====================================================================================
$(document).ready(function() { 
	
	// Add click to button
	$("#button1").click(function() {
		getData();
		showData();
	});			
	
	// Add click to button
	$("#button2").click(function() {
		getDataWithCallBack();
	});				

});	
//======================================================================================
</script>
  
</head>
<body>

<h3>jQuery fundamentals - Part 3 (Callback functions revealed)</h3>
<hr>

<button id="button1">Get Data (<b>without Callback</b>) (button1)</button>
<button id="button2">Get Data (<b>with Callback</b>) (button2)</button>
<p>
<div id="showdata" class="hidden" style="border:1px solid black;width:500px;">
<div id="data">...</div>
</div>
<p>
<div id="showdata1" style="border:1px solid red;width:500px;">
<div id="data1">...</div>
</div>

</body>
</html>